List sequence locations¶
GET https://api.moalmanac.org/sequence_locations
Retrieves Sequence Locations from the database.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
sequence_location_id |
string | Return only the sequence location with this id. |
Example request¶
curl "https://api.moalmanac.org/sequence_locations"
Response¶
Returns the standard response envelope, with data set to a list of SequenceLocation records.
Example response
{
"meta": {
"data_length": 1,
"message": "Sequence locations retrieved successfully",
"request_url": "https://api.moalmanac.org/sequence_locations",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "ga4gh:SL.t-3DrWALhgLdXHsupI-e-M00aL3HgK3y",
"type": "SequenceLocation",
"name": null,
"aliases": [],
"description": "Amino acid position 600 of the Refseq protein NP_004324.2, which is the protein product of the MANE Select coding transcript for BRAF (refseq:NM_004333.6).",
"digest": "t-3DrWALhgLdXHsupI-e-M00aL3HgK3y",
"sequenceReference": {
"id": "ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"type": "SequenceReference",
"name": "NP_004324.2",
"aliases": [
"ensembl:ENSP00000288602.6",
"ga4gh:SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"refseq:NP_004324.2"
],
"description": "The protein product of the MANE Select coding transcript for BRAF (refseq:NM_004333.6), corresponding to the Refseq protein accession NP_004324.2.",
"moleculeType": "protein",
"refgetAccession": "SQ.cQvw4UsHHRRlogxbWCB8W-mKD4AraM9y",
"residueAlphabet": "aa"
},
"start": 599,
"end": 600,
"sequence": "V"
}
]
}